www.cendio.com
Bug 4069 - yum cannot upgrade client to 3.3.0
: yum cannot upgrade client to 3.3.0
Status: CLOSED FIXED
: ThinLinc
Client platforms
: 3.2.0
: PC Linux
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-11-23 14:29 by
Modified: 2014-04-01 15:48 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2011-11-23 14:29:23
For some reason yum cannot upgrade to the current tlclient package
(3.2.0post-3259) from an older one (3.2.0post-3188). I've seen this happen on
both Fedora 14 and Fedora 16. Works fine using rpm directly.

Maybe it has something to do with the i586 to i686 switch? We didn't see any
issues when we switched from i386 to i586 though.
------- Comment #1 From cendio 2011-11-23 14:39:16 -------
Example:

[root@ossman ~]# yum localinstall
/home/tlbuilder/buildarea/trunk/ctc/client-cd/client-linux-rpm/thinlinc-client-3.2.0post-3259.i686.rpm
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Local Package Process
Examining
/home/tlbuilder/buildarea/trunk/ctc/client-cd/client-linux-rpm/thinlinc-client-3.2.0post-3259.i686.rpm:
thinlinc-client-3.2.0post-3259.i686
Marking
/home/tlbuilder/buildarea/trunk/ctc/client-cd/client-linux-rpm/thinlinc-client-3.2.0post-3259.i686.rpm
as an update to thinlinc-client-3.2.0post-3188.i586
Found 25 installed debuginfo package(s)
Enabling fedora-debuginfo: Fedora 14 - x86_64 - Debug
Enabling rpmfusion-nonfree-debuginfo: RPM Fusion for Fedora 14 - Nonfree -
Debug
Enabling rpmfusion-free-updates-debuginfo: RPM Fusion for Fedora 14 - Free -
Updates Debug
Enabling rpmfusion-nonfree-updates-debuginfo: RPM Fusion for Fedora 14 -
Nonfree - Updates Debug
Enabling rpmfusion-free-debuginfo: RPM Fusion for Fedora 14 - Free - Debug
Enabling updates-debuginfo: Fedora 14 - x86_64 - Updates - Debug
Nothing to do
------- Comment #2 From cendio 2011-11-29 11:02:49 -------
I've reported this to Fedora:

https://bugzilla.redhat.com/show_bug.cgi?id=752561
------- Comment #3 From cendio 2011-11-29 11:10:07 -------
Problem seems to indeed be the architecture change. If I make a package with
"i586" as arch, yum continues properly.
------- Comment #4 From cendio 2011-11-29 11:55:25 -------
Found the bug in yum (see the upstream entry). Unfortunately I don't see any
workaround except lying about the package arch. We'll ignore the problem for
now and hope Fedora gets their shit in order.

Keeping this bug open as a tracker bug.
------- Comment #5 From cendio 2013-12-13 12:36:49 -------
Works on Fedora 19:

Resolving Dependencies
--> Running transaction check
---> Package thinlinc-client.i586 0:3.2.0-3128 will be updated
---> Package thinlinc-client.i686 0:4.1.1post-4176 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch Version        Repository                            Size
================================================================================
Updating:
 thinlinc-client i686 4.1.1post-4176 /thinlinc-client-4.1.1post-4176.i686  14 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 14 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : thinlinc-client-4.1.1post-4176.i686                          1/2 
  Cleanup    : thinlinc-client-3.2.0-3128.i586                              2/2 
  Verifying  : thinlinc-client-4.1.1post-4176.i686                          1/2 
  Verifying  : thinlinc-client-3.2.0-3128.i586                              2/2 

Updated:
  thinlinc-client.i686 0:4.1.1post-4176                                         

Complete!
------- Comment #6 From cendio 2014-03-27 08:56:22 -------
I have tested this on CentOS 6.5 with yum version
yum-3.2.29-43.el6.centos.noarch. Installed thinlinc-client-3.2.0-3126.i586 and
tried to upgrade to version thinlinc-client-4.1.1post-4304.i686.rpm which
fails.

[root@dhcp-252-250 ~]# yum localinstall
/tmp/thinlinc-client-4.1.1post-4304.i686.rpm 
Loaded plugins: fastestmirror, refresh-packagekit
Setting up Local Package Process
Examining /tmp/thinlinc-client-4.1.1post-4304.i686.rpm:
thinlinc-client-4.1.1post-4304.i686
Marking /tmp/thinlinc-client-4.1.1post-4304.i686.rpm as an update to
thinlinc-client-3.2.0-3126.i586
Loading mirror speeds from cached hostfile
 * base: ftp.lysator.liu.se
 * epel: mirror.nsc.liu.se
 * extras: ftp.lysator.liu.se
 * updates: ftp.lysator.liu.se
Nothing to do
------- Comment #7 From cendio 2014-04-01 14:53:32 -------
Fixed upstream and not backported to RHEL.
------- Comment #8 From cendio 2014-04-01 14:54:50 -------
(In reply to comment #7)
> Fixed upstream and not backported to RHEL.

We don't care due to the narrow use of ThinLinc clients on RHEL.
Workaround is to manually remove old packages and install newer.